From fda9544509c1b3c2c5417a4b27490e7a07e480ec Mon Sep 17 00:00:00 2001
From: Sparky Bluefang <sparky@bluefang-logic.com>
Date: Tue, 27 Jun 2023 21:54:08 -0400
Subject: [PATCH 1/2] Remove unused meson scripts

---
 libxapp/install_generated_header.py       | 12 ------------
 meson-scripts/install_generated_header.py | 12 ------------
 2 files changed, 24 deletions(-)
 delete mode 100644 libxapp/install_generated_header.py
 delete mode 100644 meson-scripts/install_generated_header.py

diff --git a/libxapp/install_generated_header.py b/libxapp/install_generated_header.py
deleted file mode 100644
index d487ad9..0000000
--- a/libxapp/install_generated_header.py
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/usr/bin/python3
-
-import os
-import sys
-import subprocess
-
-install_dir = os.path.join(os.environ['MESON_INSTALL_DESTDIR_PREFIX'], 'include', 'xapp', 'libxapp')
-header_path = os.path.join(os.environ['MESON_BUILD_ROOT'], 'libxapp', sys.argv[1])
-
-print("\nInstalling generated header '%s' to %s\n" % (sys.argv[1], install_dir))
-
-subprocess.call(['cp', header_path, install_dir])
diff --git a/meson-scripts/install_generated_header.py b/meson-scripts/install_generated_header.py
deleted file mode 100644
index d487ad9..0000000
--- a/meson-scripts/install_generated_header.py
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/usr/bin/python3
-
-import os
-import sys
-import subprocess
-
-install_dir = os.path.join(os.environ['MESON_INSTALL_DESTDIR_PREFIX'], 'include', 'xapp', 'libxapp')
-header_path = os.path.join(os.environ['MESON_BUILD_ROOT'], 'libxapp', sys.argv[1])
-
-print("\nInstalling generated header '%s' to %s\n" % (sys.argv[1], install_dir))
-
-subprocess.call(['cp', header_path, install_dir])

From dac2e1ab74c3eb109b928ccba66b805e9a40aaee Mon Sep 17 00:00:00 2001
From: Sparky Bluefang <sparky@bluefang-logic.com>
Date: Tue, 2 Jan 2024 23:46:57 -0500
Subject: [PATCH 2/2] Add confiure options for environment specific
 integrations

---
 meson_options.txt          | 10 ++++++++++
 scripts/meson.build        |  7 +++++--
 status-applets/meson.build |  4 +++-
 3 files changed, 18 insertions(+), 3 deletions(-)

diff --git a/meson_options.txt b/meson_options.txt
index a36933a..3ea5310 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -28,3 +28,13 @@ option('debian_derivative',
     value: false,
     description: 'Use paths specific to Debian and derivatives.'
 )
+option('mate',
+    type: 'boolean',
+    value: true,
+    description: 'Install mate specific items.'
+)
+option('xfce',
+    type: 'boolean',
+    value: true,
+    description: 'Install xfce specific items.'
+)
diff --git a/scripts/meson.build b/scripts/meson.build
index b210f45..7b1c1bc 100644
--- a/scripts/meson.build
+++ b/scripts/meson.build
@@ -1,8 +1,11 @@
 scripts = files(
     'pastebin',
     'upload-system-info',
-    'xapp-gpu-offload',
-    'xfce4-set-wallpaper')
+    'xapp-gpu-offload')
+
+if get_option('xfce')
+	scripts += files('xfce4-set-wallpaper')
+endif
 
 install_data(scripts,
     install_dir: join_paths(get_option('prefix'), get_option('bindir')),
diff --git a/status-applets/meson.build b/status-applets/meson.build
index 979682e..b464d49 100644
--- a/status-applets/meson.build
+++ b/status-applets/meson.build
@@ -1 +1,3 @@
-subdir('mate')
+if get_option('mate')
+	subdir('mate')
+endif
